%global pkg_name        IPC-Run3
%global pkg_version     0.039
%global rpm_pkg_version 0.039
%global rpm_pkg_release 1.n0i.3

Summary:       Run a subprocess in batch mode
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RJ/RJBS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Time::HiRes)


%description
This module allows you to run a subprocess and redirect stdin, stdout, and/or
stderr to files and perl data structures. It aims to satisfy 99%% of the need
for using "system", "qx", and "open3" with a simple, extremely Perlish API and
none of the bloat and rarely used features of IPC::Run.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Sat Nov 03 2007 Marius Feraru <altblue@n0i.net> - 0.039-1.n0i.3
- version 0.039

* Tue Oct 09 2007 Marius Feraru <altblue@n0i.net> - 0.038-1.n0i.2
- version 0.038

* Sun Jun 03 2007 Marius Feraru <altblue@n0i.net> - 0.037-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.037
